--- title: "View usage plan associated with stage" slug: "apigateway-stage-getstageusageplan" updated: 2026-09-17T09:35:41Z published: 2026-09-17T09:35:41Z canonical: "api.ncloud-docs.com/apigateway-stage-getstageusageplan" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # View usage plan associated with stage Available in Classic and VPC View the details of usage plans associated with a specified stage. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /api/v1/products/{product-id}/apis/{api-id}/stages/{stage-id}/usage-plans | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `product-id` | String | Required | Product ID that the stage belongs to - 0 - 10 characters - See [View product list](/docs/en/apigateway-product-getproductlist) | | `api-id` | String | Required | ID of the API that the stage belongs to - 0 - 10 characters - See [View API](/docs/en/apigateway-api-apis) | | `stage-id` | String | Required | ID of the stage to view the usage plans for - 0 - 10 characters - See [View stage list](/docs/en/apigateway-stage-getstagelist) | ### Request query parameters The following describes the parameters. | Field | Type | Required | Description | | --- | --- | --- | --- | | `offset` | Long | Optional | Starting point of the response data - 0 - 9,223,372,036,854,775,807 - It is used with `limit` to implement pagination | | `limit` | Long | Optional | Maximum number of response data - 1 - 9,223,372,036,854,775,807 - It is used with `offset` to implement pagination | | `usagePlanName` | String | Optional | Usage plan name - 0 - 45 characters | ### Request example The following is a sample request. ``` curl --location --request GET 'https://apigateway.apigw.ntruss.com/api/v1/products/***ksk9***/apis/***51hs***/stages/***fh5o***/usage-plans' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "total" : 5, "monthQuotaRequest" : 6, "dayQuotaRequest" : 0, "rateRps" : 1, "quotaCondition" : "quotaCondition", "content" : [ { "domainCode" : "domainCode", "usagePlanId" : "usagePlanId", "modifier" : "modifier", "associatedStagesCount" : 0, "dayQuotaRequest" : 6, "permission" : "permission", "rateRps" : 5, "usagePlanName" : "usagePlanName", "monthQuotaRequest" : 1, "tenantId" : "tenantId", "disabled" : true, "usagePlanDescription" : "usagePlanDescription", "quotaCondition" : "quotaCondition", "actionName" : "actionName" } ] } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "content": [ { "tenantId": "***e230cebc1402ba89b148896951***", "usagePlanId": "***xogj***", "usagePlanName": "usageplan001", "domainCode": "PUB", "associatedStagesCount": 1 } ], "total": 1 } ```